質問箱/2374

カテゴリ
サマリPHP Access Violation
バージョン1.4.4,1.4.3
投稿者立待月?
状態完了
投稿日2004-10-06 (水) 00:27:17

質問

Windows2003Server(IIS6.0) + PHP4.3.8 で PukiWiki 1.4.3,1.4.4を運用しているものです。 現状、出力最下部に PHP has encountered an Access Violation at 01810AFD と出たり出なかったりするという不具合がおこります。

また、書き込み時にページが表示できませんというエラーメッセージが出ることがあるのです。書き込み事態は正常に実行されます。

Googleで検索したところ他のPukiWikiサイトでも出ているところはあるみたいなのですが解決策が見つかりませんでした。

これはPHPの設定からおきるエラーなのでしょうか。それともPukiWikiの設定の方から起きるエラーなのでしょうか。何か情報をお持ちの方は、アドバイスをいただけると幸いです。

なお、ページ数は数十ページなのでスケーラビリティの問題ではないと思うのですけど…

回答

  • PukiWikiとは関係なさそうな事例も沢山見つかりますので、PukiWikiとは別件では。 http://ns1.php.gr.jp/pipermail/php-users/2003-February/013763.html -- 2004-10-06 (水) 02:13:29
  • お返事ありがとうございます。つまり、Windows200XServerとIIS、PHPのISAPIを組み合わせたときにおこるバグの可能性が高いということでしょうか…。今のバージョンでは修正してあるという不穏な発言も見られますが(一応4系では一つ前のモデルなんですが…)、とりあえずPHPのバージョンアップを待った方が良いということでしょうかね。 -- 立待月? 2004-10-06 (水) 04:20:34
  • PukiWikiのどこかのパーミッションが変なのか…などとも思ったのですがなにやらPHP内部のエラーのようでとても残念です。 -- 立待月? 2004-10-06 (水) 04:22:19
  • 私も立侍月?様と同じ Windows2003Server(IIS6.0) + PHP4.3.8 の環境で PHP has encountered an Access Violation が発生し困ってます。 ちなみに、後ろの8桁のコードはエラーコードなのですか? それともメモリのアドレスなのでしょうか? ご存知の方、お教え願います。 -- hori? 2005-01-06 (木) 21:40:05
  • とりあえずPHP入っている所にPATH通せば?弊社はソレでうまくいきました。 -- 下岡いもすけ@伍長? 2007-11-28 (水) 17:40:13
  • ↑それでも失敗しました。知り合いからのネタではhttp://labs.progfast.jp/index.php/arts/wordpress-by-fastcgi-for-iis/を参照しろと。 -- 下岡いもすけ@伍長? 2008-01-25 (金) 14:43:36


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2008-01-25 (金) 14:43:37
Site admin: PukiWiki Development Team

PukiWiki 1.5.2+ © 2001-2019 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u7. HTML convert time: 0.204 sec.

OSDN